

import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/widgets/desktop/desktop_edit_address.dart';
import 'package:flutter_wisetronic/widgets/mobile/mobile_edit_address.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../models/address.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';

class EditAddress extends StatelessWidget {
  final Key? key;
  final Address address;
  final int businessId;
  const EditAddress(this.address, {this.key, int businessId}) :
      businessId = businessId ?? Constants.BUSINESS_ID;

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: MobileEditAddress(address, businessId: businessId,),
            tablet: DesktopEditAddress(address, businessId: businessId,),
            desktop: DesktopEditAddress(address, businessId: businessId,),
          ),
    );
  }

}